Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 36737 - (new ebuild) for via hw mpeg decoding.
Summary: (new ebuild) for via hw mpeg decoding.
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-29 08:56 UTC by Jelle Kalf
Modified: 2004-03-25 08:28 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
new libddmpeg ebuild file. (libddmpeg-1.4.ebuild,610 bytes, application/octet-stream)
2003-12-29 08:58 UTC, Jelle Kalf
Details
libddmpeg-1.4.ebuild update (libddmpeg-1.4.ebuild,608 bytes, text/plain)
2003-12-29 09:11 UTC, Jelle Kalf
Details
corrected an issue where DEPEND (libddmpeg-1.4.ebuild,594 bytes, text/plain)
2004-01-01 16:58 UTC, Jelle Kalf
Details
New release of libddmpeg (libddmpeg-1.5.ebuild,605 bytes, text/plain)
2004-01-06 13:18 UTC, Jelle Kalf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jelle Kalf 2003-12-29 08:56:18 UTC
I've created an ebuild to emerge the libddmpeg file Ivor Hewitt built (http://www.ivor.it/cle266/). With this library file for XFree you'll be able to use the via hardware mpeg2 decoding chip found on via Epia-M motherboards. 

Reproducible: Always
Steps to Reproduce:
1.
2.
3.

Actual Results:  
nothing, it's a new ebuild.

Expected Results:  
it should have been moved into the portage tree.

# Copyright 1999-2001 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Reverse engineerd VIA hardware mpeg decoder"
HOMEPAGE="http://www.ivor.it/cle266"

SRC_URI="http://www.ivor.it/cle266/${P}.tgz"

SLOT="0"
LICENSE="unknown"
KEYWORDS="~x86"

IUSE=""

DEPEND=">=x11-base/xfree-4.3.0-3-r3"
RDEPEND="${DEPEND}"

src_unpack() {
    unpack ${A}
}

src_compile() {
    cd ${WORKDIR}/libddmpeg/
    make || die "compile problem"
}

src_install() {
    mkdir -p ${D}/usr/X11R6/lib
    cp ${WORKDIR}/libddmpeg/libddmpeg.so ${D}/usr/X11R6/lib/libddmpeg.so
}
Comment 1 Jelle Kalf 2003-12-29 08:58:33 UTC
Created attachment 22798 [details]
new libddmpeg ebuild file.

ivor hewitt's hw via mpeg decoding library
Comment 2 Jelle Kalf 2003-12-29 09:01:06 UTC
I think it should be placed in media-libs .
Comment 3 Jelle Kalf 2003-12-29 09:11:20 UTC
Created attachment 22800 [details]
libddmpeg-1.4.ebuild update

I made a typo .. it stated DEPEND=">=xfree-4.3.0-3-r3"	.. it should be:
DEPEND=">=xfree-4.3.0-r3"
Comment 4 Jelle Kalf 2004-01-01 16:58:40 UTC
Created attachment 22987 [details]
corrected an issue where DEPEND

DEPEND="x11-base/xfree"  changed it to DEPEND="virtual/x11"
It doesn't matter which xfree is installed, just have it installed.
Comment 5 Jelle Kalf 2004-01-06 13:18:03 UTC
Created attachment 23256 [details]
New release of libddmpeg

New release of libddmpeg
Comment 6 Max Kalika (RETIRED) gentoo-dev 2004-03-25 06:23:44 UTC
How is this different from the one that is already in portage?

*  media-libs/libddmpeg [ Masked ]
      Latest version available: 1.6
      Latest version installed: [ Not Installed ]
      Size of downloaded files: 31 kB
      Homepage:    http://www.ivor.it/cle266
      Description: VIA hardware MPEG decoder library.
      License:     as-is
Comment 7 Jelle Kalf 2004-03-25 08:28:05 UTC
Max,

this bug seemed to have been ignored and been reassigned to you by Iggy. Already talked to him about it.

You've already taken up libddmpeg into the portage tree and 1.6 is already available in the main tree. 

No need to fix something already fixed ;)